import request from '@/utils/request'

export function buttonlist(queryParams) {
    return request({
        url: '/user-boot/function/getButtonById',
        method: 'get',
        params: queryParams
    })
}

export function add(data) {
    return request({
        url: '/user-boot/function/addFunction',
        method: 'post',
        data: data
    })
}
export function listPermission(data) {
    return request({
        url: '/user-boot/function/getButtonsByFunction',
        method: 'get',
        params: data
    })
}
export function rolelist(roleIndex) {
    return request({
        url: '/user-boot/roleFunction/getFunctionsByRoleIndex?roleIndex=' + roleIndex,
        method: 'get',
        // params: data
    })
}